---
name: 🐛 Bug Report
about: Create a report to help us improve
title: '[BUG] '
labels: 'bug'
assignees: ''
---

## 🐛 Bug Description

A clear and concise description of what the bug is.

## 🔄 Steps to Reproduce

Steps to reproduce the behavior:

1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error

## ✅ Expected Behavior

A clear and concise description of what you expected to happen.

## ❌ Actual Behavior

A clear and concise description of what actually happened.

## 📸 Screenshots

If applicable, add screenshots to help explain your problem.

## 🖥️ Environment

**Desktop (please complete the following information):**
- OS: [e.g. macOS, Windows, Linux]
- Python Version: [e.g. 3.9.7]
- Package Version: [e.g. 1.0.0]

**Additional Environment Details:**
```bash
pip freeze
```

## 📄 Configuration Files

If applicable, please share relevant configuration:

```yaml
# .env or config files (redact sensitive information)
```

## 📋 Error Messages

```
# Paste any error messages or stack traces here
```

## 🔗 Related Issues

- Link to any related issues or discussions

## 📚 Additional Context

Add any other context about the problem here.

## 🔍 Possible Solution

If you have any ideas on how to solve this, please share them here. 